<?php
	
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	if($level==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{
	switch ($act) {
	default:
	echo "<title>Игровой магазин</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="blok3">Игровой магазин('. check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($login)))))))) . '</a>)</div>';
	echo '<center>Здесь вы можете потратить <img src="../images/images_main/plasma.png"  width="25px" alt="" /> Плазму</center>';
	if($game==1 AND $ban==0)echo '<center><div class="blok4">У вас на счету <font color="#4EEE94">['.$sc.']</font> Плазмы [<a href="/p/shop.php"><b>Купить</b></a>]</div><div class="razd"></div></center>';
	if($game==1 AND $marat!=25 AND $ban==0)echo '<div class="razd"></div><div class="blok1"><img src="../images/menu.png" alt="" /> <a href="shop.php?act=shield_on"><b>Начало СП</b></a></div><div class="razd"></div>';
	if($game==1 AND $ban==0)echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="game_shop.php?act=ava"><b>Загрузка аватарки</b></a></div><div class="razd"></div>';
	if($game==1 AND $ban==0)echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="shop.php?act=img_chat"><b>Картинка в чате</b></a></div><div class="razd"></div>';
	if($game==1 AND $ban==0)echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="shop.php?act=name_planet"><b>Название планеты</b></a></div><div class="razd"></div>';
	if($game==1 AND $ban==0)echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="shop.php?act=img_planet"><b>Картинка планеты</b></a></div><div class="razd"></div>';
	if($game==1 AND $ban==0)echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="shop.php?act=holiday"><span class="red">Режим отпуска</span></a></div><div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../exit.php"><b>Выход</b></a></div></center>';
	break;
	case 'ava':
	echo "<title>Загрузка аватара</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="blok3"><font style="font-family:Monotype Corsiva;"><h2>Загрузка аватара</h2></font></div>';
	echo '<div class="blok3"><img src="../images/images_main/plasma.png" width="25px" alt="image" /> Стоимость услуги <font color="#4EEE94">[1500]</font> Плазмы</div>';
		if(!$_POST)
	{

	echo '<center><div class="window">';
	echo '<form action="?act=ava" method="post" enctype="multipart/form-data"><input name="file" type="file" value=""><br/><input name="submit" type="submit" value="Загрузить"></form>';
	echo '</div></center>';

	}

	else

	{

$error = false;
$file = $_FILES['file']['tmp_name'];
$filename = $_FILES['file']['name'];

if(!empty($file))

{
	ini_set('memory_limit', '100M'); 
	$maxsize = "100000";
	$extentions = array( "gif","jpg","jpeg","png");
	$size = filesize ($_FILES['file']['tmp_name']); 
	$type = strtolower(substr($filename, 1+strrpos($filename,".")));
	$new_name = 'file-'.time().'.'.$type; 
	$size1 = GetImageSize($file);
  
	$file_w = imagesx($file); 
	$file_h = imagesy($file);

  if($size > $maxsize)
  { 

   echo '<div class="blok3">Файл больше 100 кб. Уменьшите размер вашего файла или загрузите другой<br/></div>';

  } 

  elseif(!in_array($type,$extentions))

  { 

    echo '<div class="blok"><b>Файл имеет недопустимое расширение. Допускаются  форматы для загрузки<br/><font color="#4EEE94">[.gif]</font><font color="#4EEE94">[.jpg]</font><font color="#4EEE94">[.jpeg]</font><font color="#4EEE94">[.png]</font></b><br/></div>';

  }

  elseif($size1[0] > 240 or $size1[1] > 320) 

  { 

    echo '<div class="blok3">Фото не должно быть больше<br/><font color="#4EEE94">[240*320]</font><br/></div>';

  }

	elseif($sc<1500)

  {

echo '<div class="blok3"><b>Не хватает Плазмы</b><br/></div>';

}	
  else 
  { 
  $t=time();
    if (copy($file, "../images/ava/".$new_name))

    {

	unlink ("../images/ava/".$ava."");
	mysql_query("UPDATE `users` SET `ava`='" . htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($new_name)))))) . "', `sc`=sc-1500 WHERE `id`='" . htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))) . "';");
    echo '<div class="blok3"><b>Новый аватар загружен!</div><div class="blok3">С вашего счета списано <font color="#4EEE94">[1500]</font> Плазмы</b><br/></div>';

	}

    else 

    	{

    		echo '<div class="blok3"><b>Аватар не загружен!</b><br/></div>';

    	}
  } 
}
	}
	echo '<div class="razd"></div>';
	echo '<div class="blok"><a href="game_shop.php"><b>Назад</a></div>';
	break;
	
  }
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>